Create a merchant for the signed-in user
POST
bearerAuthheader
AuthorizationBearer <token>API key (cpr_…) or session JWT
application/json- body
name*stringLength
1 <= lengthcountry?stringsupport_email?stringFormat
emailsettlement_mode?stringDefault
"login_wallet"Value in
"managed_wallet""login_wallet""external_wallet""bitcoin_xpub"vm_family?stringValue in
"evm""solana""bitcoin"chain?stringidentifier?stringDefault Response
application/json- response
id*stringaccount_id*stringowner_address*stringowner_vm_family*stringonboarding_completed*boolean[key: string]?anycurl -X POST 'http://127.0.0.1:3001/v1/merchants' \ -H 'Content-Type: application/json' \ -d '{ "name": "string"}'Example Response
{ "id": "string", "account_id": "string", "owner_address": "string", "owner_vm_family": "string", "onboarding_completed": true}